nVidia 450.57 driver not installing

Ok you definitely do not read (and want the fight so no thanks have fun with yourself). Sorry can’t help more you have solution in multiple replies.

sudo pacman -R linux-latest-nvidia-440xx

did the trick. Was able to install the 450 driver after pacman did it’s thing.

3 Likes

I’m just dumb again. All I needed to do was run sudo mhwd -i pci video-modesetting and then run the same command for the 450xx-prime and everything installed correctly.

1 Like

I did read. Ir’s you that can’t seem to comprehend what’s being said. I removed the one file, installed the 450, uninstalled the 440 and other than a minor couple of flickers at bootup or login all looks good. Now that said what I called you out on is telling peeps and me that I had to expressly install something to cause this, cause that is not the case. From what I’m seeing it the maion testing thread, other threads here and elsewhere looks like the 450 drive was not ready for primetime.

The 450 driver is not on Stable if this is what you call ‘Prime Time’, it is on Testing branch. Manjaro - Branch Compare

Also, I didn’t say what you’re trying to imply. Quoting myself if this can help:

So did I say what you’re trying to imply I said?

Spoiler alert

nope

I think you could still re-read what I wrote because apparently it helped the people who replied or liked the post. Maybe give it a shot?

1 Like

Steiner, the driver didn’t appear in mine as on your ‘Hardware Configuration’ screen. As you did? I have the same ‘GTX 1050 Ti Mobile’ card…

In the future please also include the English translation. Thanks

Steiner, the driver didn’t appear in mine as on your ‘Hardware Configuration’ screen. As you did? I have the same ‘GTX 1050 Ti Mobile’ card.

1 Like

Are you using the stable or testing branch? I don’t think the 450 are on the stable repos yet, specially with all the issues with Steam we’re having.

1 Like

I’m using Stable branch. Thx for answer me, i’ll wait for stable release.

1 Like

i have found a way to install nvidia
in this forum some where but i forgot to book mark
but i have commands in my history
i am using a nvidia 1660 ti mobile (optimus laptop with intel integrated gpu and 1660ti mobile) i ran into similar issues but installed finally
OBS studio is also working with NVENC
to update

IMPORTANT:: update all packages before doing and reboot
without updating all packages and kernels
-------------------------> you cant install nvidia - 450 without updating the existing packages
–>update packages before doing this

NOTE : remove the current drivers using MHWD command line and install

  1. sudo mhwd -i pci video-modesetting (or your driver name)
  2. sudo mhwd -r pci video-hybrid-intel-nvidia-440xx-prime (or your driver name)
  3. sudo mhwd -i pci video-hybrid-intel-nvidia-450xx-prime (or your driver name )
  4. reboot

thats it
it worked for me

if you want to make you manjaro look awsome watch my video

1 Like

450 is on stable! Finally!

1 Like

When i follow your Guide i get the following answers to the commands:

sudo mhwd -i pci video-modesetting (or your driver name)
> Installing video-modesetting... Sourcing /etc/mhwd-x86_64.conf Has lib32 support: true Sourcing /var/lib/mhwd/db/pci/graphic_drivers/video-modesetting/MHWDCONFIG Processing classid: 0300 Sourcing /var/lib/mhwd/scripts/include/0300 > Successfully installed video-modesetting

sudo mhwd -r pci video-hybrid-intel-nvidia-440xx-prime (or your driver name)
Error: config 'video-hybrid-intel-nvidia-440xx-prime' is not installed!

sudo mhwd -i pci video-hybrid-intel-nvidia-450xx-prime (or your driver name )
Warning: no matching device for config 'video-hybrid-intel-nvidia-450xx-prime' found! > Installing video-hybrid-intel-nvidia-450xx-prime... Sourcing /etc/mhwd-x86_64.conf Has lib32 support: true Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-450xx-prime/MHWDCONFIG Processing classid: 0300 Sourcing /var/lib/mhwd/scripts/include/0300 Prüfe Abhängigkeiten... Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen) :: Entfernen von linux57-nvidia-440xx verletzt Abhängigkeit 'linux57-nvidia-440xx', benötigt von linux-latest-nvidia-440xx Error: pacman failed! Error: script failed!

1 Like

Want to post your customization video in the appropriate section instead of hocking your wares in someones help request thread? Thanks

That’s nice but your post didn’t need to be made at all.

have you updated the packages before this?

MAKE SURE THAT YOUR DRIVER NAME IS CORRECT BEFORE UNINSTALLING
I WROTE THE COMMAND FOR A OPTIMUS(INTEL+NVIDIA GPU)
IF YOU HAVE ONLY GPU LIKE A PC or some other model
YOU CAN SEE FOR YOUR SELF
THE COMMAND I WROTE IS FOR OPTIMUS LAPTOP

sudo mhwd -r pci video-hybrid-intel-nvidia-440xx-prime (or your driver name)
Error: config 'video-hybrid-intel-nvidia-440xx-prime' is not installed!

THEN YOU SHOULD NOT INSTALL PRIME DRIVERS
1)GO TO HARDWARE CONFIG (GUI APP)
2)VERIFY THE NAME OF THE DRIVER AND TYPE IT CORRECTLY
REPLACE "video-hybrid-intel-nvidia-440xx-prime " WITH YOUR DRIVER

THAT IS :: sudo mhwd -r pci [YOUR DRIVER NAME WITH NVIDIA-440]
--------->this removes the existing drivers

3)TO INSTALL nvidia-450
you can use the gui tool “hardware configuration” in application list
or use the command i specified before

i think if you wait for some time the auto install proprietary from the app will get fixed
i faced the issue as to press y to install and i cant so i done it manually

1 Like

Saw my Failure :smiley:
Thanks for your Help. :slight_smile:

Yeah, I got the same issue.

Uninstalling video-hybrid-intel-nvidia-440xx-prime returned some additional dependency errors: nvtop and linux-latest-nvidia-440xx, so I had to remove them first to proceed. Eventually it worked.

Now the only step left is to reboot to test it.

EDIT: All works after reboot. I could switch to hybrid mode and dGPU is working with Steam as it should.

1 Like
1 Like

The issue here was that the GUI for mhwd was not returning anything and even

sudo mhwd -i pci video-hybrid-intel-nvidia-450xx-prime

didn’t do anything. It just asked Y/n and then was done without doing anything. The solution was to install dependencies, uninstall conflicting packages and then remove and then finally install, but that way shows the script failed flat out until perfect conditions were met.

So basically, without installing video-modesetting, there was no output that could help with anything. Only after we got video-modesetting, we got the usual dependency errors, which are finally helpful.
So it looks the script needs to be improved.

I know. That is covered in that as well.

1 Like

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.